aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-04-11 10:51:08 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-04-11 10:51:08 +0000
commit3745fd268817fa71196a331cc54b744b659c6ef0 (patch)
tree31950b4050b5bdbce4dea70f5b71029088afa383 /sci-physics
parentgeant4: fix a bad env name and removed and extra fi in the no-source patch (diff)
downloadsci-3745fd268817fa71196a331cc54b744b659c6ef0.tar.gz
sci-3745fd268817fa71196a331cc54b744b659c6ef0.tar.bz2
sci-3745fd268817fa71196a331cc54b744b659c6ef0.zip
added slotted geant-3, data dir is now /usr/share/geant-4/data for geant-4
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1013 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/geant/ChangeLog8
-rw-r--r--sci-physics/geant/Manifest7
-rw-r--r--sci-physics/geant/geant-3.21.14-r2.ebuild74
-rw-r--r--sci-physics/geant/geant-4.9.1_p01.ebuild40
4 files changed, 111 insertions, 18 deletions
diff --git a/sci-physics/geant/ChangeLog b/sci-physics/geant/ChangeLog
index adb141d15..b1834f1e4 100644
--- a/sci-physics/geant/ChangeLog
+++ b/sci-physics/geant/ChangeLog
@@ -2,6 +2,14 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 11 Apr 2008; Sébastien Fabbro <bicatali@gentoo.org>
+ +geant-3.21.14-r2.ebuild, geant-4.9.1_p01.ebuild:
+ Added slotted geant-3
+
+ 11 Apr 2008; Sébastien Fabbro <bicatali@gentoo.org>
+ geant-4.9.1_p01.ebuild:
+ now installs data in /usr/share/geant-4/data
+
09 Apr 2008; Sébastien Fabbro <bicatali@gentoo.org>
geant-4.9.1_p01.ebuild:
fixed data install
diff --git a/sci-physics/geant/Manifest b/sci-physics/geant/Manifest
index 031e682c6..b4e761775 100644
--- a/sci-physics/geant/Manifest
+++ b/sci-physics/geant/Manifest
@@ -5,7 +5,10 @@ DIST G4EMLOW.5.1.tar.gz 8287134 RMD160 163f76c359bf9d4f8a2eb3d734de50c2b6dc4d72
DIST G4NDL.3.12.tar.gz 54904967 RMD160 5ea321deb3c1ddc8094c3d28457d627cacd6f2f0 SHA1 d42d0835e8921c15902d7aa410f1207edfbd54df SHA256 05a4d74ff1faa8fa3382fbda780ea258b2e4af7e5ae29856d1deaf72b4235290
DIST G4RadioactiveDecay.3.2.tar.gz 761070 RMD160 1f797977c0c66722f4b032ac546c26eaa8a9f14a SHA1 45e706e46a33e08b1706f069d15e8c2145f3410e SHA256 31dc70aa59cb86ef0dbaf96c639e0541b7569d4fc98f92064ecdc8bc4b9c839b
DIST PhotonEvaporation.2.0.tar.gz 7506068 RMD160 24d46b08b2ffeca5b3be186baffb650b99accc97 SHA1 df3b4994c7248da7a226c186be747c4b823d34fa SHA256 5aac0ce683ca23274a7736c8e8911d8cf32d2bf33aab33a9a23126664762d61d
+DIST geant321_3.21.14.dfsg-8.diff.gz 41909 RMD160 4edbe5d3dd93a78198fa2d2d83770c8b85eee4de SHA1 39f48c4263f543b74eee6095c11f5ade9798f253 SHA256 785277dab1e1d3e17d60c85f3826bc67bbd6de7e6a6d40ff7af901371c4d2ce1
+DIST geant321_3.21.14.dfsg.orig.tar.gz 10922928 RMD160 253b35bd9cda82c2213ec042274f7e6ff6b9e333 SHA1 ae6f39ccc18eacd576a3493992db5da3b3d3b128 SHA256 186fe98a08ad1de39f68698a09a46e7c2f14c37b22f8f990257b0bd66215c5b4
DIST geant4.9.1.p01.tar.gz 17528409 RMD160 e8bb8df4138d4d8e662eae86b7c2a01813f6621e SHA1 87e511c257c31d579371d745e7c17eae58d3fc9c SHA256 6a634d9e6b4eb201f54c97882cef11ce8f1e6745864d6e5830c6c7b198df8ba4
-EBUILD geant-4.9.1_p01.ebuild 5067 RMD160 0adf21969aac74901e456f2323860a6609837ca9 SHA1 812a61946d6e61418da7975330b847c476c27a96 SHA256 70a4babea1daefac22710e13f76b4da16223c47b7700d5611f300db1175c38e4
-MISC ChangeLog 782 RMD160 886a964b1f33a1cb358baf36655b615b12e2a3a5 SHA1 f65316c54c9d2ed6f55f335162a1c1eec8d6db02 SHA256 f68550704dd98f2fc1beb35571ae61d58a85c7e14c366c8c10a61639ebf8133a
+EBUILD geant-3.21.14-r2.ebuild 1777 RMD160 41c10364420d4c16f97db9afe2ab2c5ee7aa9172 SHA1 d5262f3d33f3bc0ebac0a7829acf1d9f60207749 SHA256 65f1efc85ff9cb07e405413e011fb8b3e5b154de36706015cb6d1c1a01f03229
+EBUILD geant-4.9.1_p01.ebuild 5249 RMD160 2d7948a6671b4bc23c9409ad015491285d9d1496 SHA1 4cec3c92543280cc5b300f9cffb3f75f75e55bcb SHA256 ebbe8fade812ab4a73acb0042c37e1a2e949c590f34cd2bdeb895c00812f6841
+MISC ChangeLog 1043 RMD160 a6a0094d5e491614658549630e0d5529ac4777d6 SHA1 38b6031c465c5bca4c865d1a8a66f873d0f608c5 SHA256 7a59f0ba540a40dfdca0579303ef91356c597de3f16586567ff25e26581b98fe
MISC metadata.xml 487 RMD160 6ef1920ad5ce8a4b81c3960b490f7e1219d29592 SHA1 3df009e39f51086e9bbc66616b65fdad441f956f SHA256 c7ca665634072c0520ad9a26e61bdba7eef1665c32cbe9a9039d8ebbcd35c1d8
diff --git a/sci-physics/geant/geant-3.21.14-r2.ebuild b/sci-physics/geant/geant-3.21.14-r2.ebuild
new file mode 100644
index 000000000..037bada46
--- /dev/null
+++ b/sci-physics/geant/geant-3.21.14-r2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DEB_PN=geant321
+DEB_PV=${PV}.dfsg
+DEB_PR=8
+DEB_P=${DEB_PN}_${DEB_PV}
+
+inherit eutils multilib fortran
+
+DESCRIPTION="CERN's detector description and simulation Tool"
+HOMEPAGE="http://wwwasd.web.cern.ch/wwwasd/geant/index.html"
+
+LICENSE="GPL-2 LGPL-2 BSD"
+SRC_URI="mirror://debian/pool/main/${DEB_PN:0:1}/${DEB_PN}/${DEB_P}.orig.tar.gz
+ mirror://debian/pool/main/${DEB_PN:0:1}/${DEB_PN}/${DEB_P}-${DEB_PR}.diff.gz"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="3"
+IUSE=""
+
+RDEPEND="virtual/motif
+ virtual/lapack
+ dev-lang/cfortran
+ sci-physics/cernlib
+ sci-physics/paw"
+
+DEPEND="${RDEPEND}
+ virtual/latex-base
+ x11-misc/imake
+ x11-misc/makedepend"
+
+S="${WORKDIR}/${DEB_PN}-${DEB_PV}.orig"
+
+KEYWORDS="~amd64 ~x86"
+
+FORTRAN="gfortran g77 ifc"
+
+src_unpack() {
+ unpack ${A}
+ epatch "${DEB_P}-${DEB_PR}".diff
+ rm -f ${DEB_P}-${DEB_PR}.diff
+ cd "${S}"
+ cp debian/add-ons/Makefile .
+ export DEB_BUILD_OPTIONS="${FORTRANC} nostrip nocheck"
+ sed -i \
+ -e 's:/usr/local:/usr:g' \
+ Makefile || "sed'ing the Makefile failed"
+
+ einfo "Applying Debian patches"
+ emake -j1 patch || die "debian patch failed"
+
+ # since we depend on cfortran, do not use the one from cernlib
+ rm -f src/include/cfortran/cfortran.h
+}
+
+src_compile() {
+ # create local LaTeX cache directory
+ mkdir -p .texmf-var
+ emake -j1 cernlib-indep cernlib-arch || die "emake failed"
+}
+
+src_test_() {
+ LD_LIBRARY_PATH="${S}"/shlib \
+ emake -j1 cernlib-test || die "emake test failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ cd "${S}"/debian
+ dodoc changelog README.* deadpool.txt NEWS copyright || die "dodoc failed"
+ newdoc add-ons/README README.add-ons || die "newdoc failed"
+}
diff --git a/sci-physics/geant/geant-4.9.1_p01.ebuild b/sci-physics/geant/geant-4.9.1_p01.ebuild
index 684c1183c..fef365e50 100644
--- a/sci-physics/geant/geant-4.9.1_p01.ebuild
+++ b/sci-physics/geant/geant-4.9.1_p01.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v3
# $Header: $
-EAPI=1
+EAPI="1"
inherit eutils fortran multilib versionator
@@ -26,7 +26,7 @@ LICENSE="geant4"
SLOT="4"
KEYWORDS="~amd64 ~x86"
IUSE="athena +data dawn debug examples gdml geant3 minimal +motif
- +opengl openinventor +raytracerx +vrml zlib"
+ +opengl openinventor +raytracerx static +vrml zlib"
DEPEND="sci-physics/clhep
motif? ( virtual/motif )
@@ -92,10 +92,12 @@ g4w_use() {
}
src_compile() {
- GEANT4_DATA_DIR=/usr/share/${PN}
+
+ GEANT4_DIR=/usr/share/${PN}-${SLOT}
+ GEANT4_DATA_DIR=${GEANT4_DIR}/data
+
# The Configure shell script saves its options
# in .config/bin/*/config.sh
-
local myconf="$(g4vis_use opengl openglx)"
use opengl && myconf="${glconf} $(g4vis_use motif openglxm)"
use data && myconf="${myconf} -D g4data=${GEANT4_DATA_DIR}"
@@ -142,13 +144,14 @@ src_compile() {
-D g4lib_build_static=n \
|| die "Building shared geant failed"
- rm -rf tmp
-
- ./Configure \
- -deO -build \
- -D g4lib_build_shared=n \
- -D g4lib_build_static=y \
- || die "Building shared geant failed"
+ if use static; then
+ rm -rf tmp
+ ./Configure \
+ -deO -build \
+ -D g4lib_build_shared=n \
+ -D g4lib_build_static=y \
+ || die "Building shared geant failed"
+ fi
}
src_install() {
@@ -159,18 +162,23 @@ src_install() {
./Configure \
|| die "Final install failed"
- insinto ${GEANT4_DATA_DIR}
+ # install env stuff
+ # todo: try to decipher and translate into a env.d file
+ insinto ${GEANT4_DIR}
sed -i \
- -e "s:${S}:${GEANT4_DATA_DIR}:g" \
+ -e "s:${S}:${GEANT4_DIR}:g" \
-e "s:${D}:/:g" \
env.*sh
doins env.*sh || die "failed installing shell scripts"
doins -r config
+
+ # install data
+ insinto ${GEANT4_DATA_DIR}
if use data; then
cd "${WORKDIR}"
for d in ${GEANT4_DATA}; do
local p=${d/.}
- doins -r *${d/G4} || die "installing data ${d} failed"
+ doins -r *${p/G4} || die "installing data ${d} failed"
done
fi
@@ -190,9 +198,9 @@ src_install() {
pkg_postinst() {
elog "You can set the Geant4 environment variables"
- elog "from ${ROOT}${GEANT4_DATA_DIR} shell scripts."
+ elog "from ${ROOT}${GEANT4_DIR} shell scripts."
elog "Ex: for bash"
- elog " source ${ROOT}${GEANT4_DATA_DIR}/env.sh"
+ elog " source ${ROOT}${GEANT4_DIR}/env.sh"
elog
elog "Help us to improve the ebuild and dependencies in"
elog "http://bugs.gentoo.org/show_bug.cgi?id=212221"